<h1 class="page-header" style="margin-top: 0"><i class="fa fa-image"></i> <?php _('Preview Images') ?></h1> <div class="alert alert-info clearfix"><?php _('Here you can set the quality of your computed images. Depending on the processing power and the object size very high quality images can take a long time. The pictures are rendered as a background process. The print jobs are not affected by rendering.') ?> <div class="btn btn-danger pull-right margin-top" style="margin-left:10px" ng-click="recompute()"><?php _('Recompute all Rendered Images') ?></div> <br><br><strong><?php _('Important:') ?></strong> <?php _('After uploading an STL file or a G-code you can continue working, the image appears automatically as soon as it is created.') ?> </div> <ng-form novalidate name="previewimages" class="form-horizontal"> <h2><?php _('Material Colors') ?></h2> <p><?php _('The color settings are used for all printers, so here are 16 extruders displayed, even if your printer has less.') ?></p> <div class="form-group" ng-repeat="c in preview.colors track by $index"> <label class="col-md-4 control-label"><?php _('Color Extruder') ?> {{$index+1}}</label> <div class="col-md-8"> <input type="text" placeholder="" ng-model="preview.colors[$index]" colorpicker required><a class="pointer" ng-click="matColor($index)"> <?php _('Select predefined colors') ?></a> </div> </div> <h2><?php _('Material Properties and Quality') ?></h2> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Shadows & Reflections') ?> <a ng-click="fullsizeDialog('preview.2.dialog.php')" href="javascript:void(0)"> <i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <select class="form-control" ng-model="preview.shadow" ng-options="s.v as s.n for s in shadowOptions"></select> <small><?php _('G-Codes always have hard shadows.') ?></small> </div> </div> <div ng-show="preview.shadow==2"> <p><?php _('Here you can set all parameters yourself. Note that a higher quality can increase the computation time per image extremely because some operations are very computationally intensive. You should always check if the values make sense for your computer.') ?></p> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Antialaising Quality') ?> <a ng-click="fullsizeDialog('preview.3.dialog.php')"> <i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"><select class="form-control" ng-model="preview.gcodeAntialiasFactor" ng-options="a.id as a.t for a in aliasOptions"></select></div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Enable Shadows') ?> <a ng-click="fullsizeDialog('preview.4.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="checkbox"> <boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="preview.renderShadows"></boolswitch> </div> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Enable Reflections') ?> <a ng-click="fullsizeDialog('preview.5.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="checkbox"> <boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="preview.renderReflections"></boolswitch> </div> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Computation Method') ?> <a ng-click="fullsizeDialog('preview.6.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <select class="form-control" ng-model="preview.renderModels" ng-options="c.v as c.n for c in computationMethods"></select> <small><?php _('G-Codes are always rendered.') ?></small> </div> </div> <div ng-show="preview.renderModels==0"> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Shadow Calculations') ?> <a ng-click="fullsizeDialog('preview.7.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input ng-model="preview.raytraceShadowSamples" type="number" class="form-control input-md" step="1" required min="0" max="100" style="width:200px;"> </div> <small><?php _('Shadow calculations are computationally intensive, the value should be kept as small as possible.') ?></small> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Reflection Calculations') ?> <a ng-click="fullsizeDialog('preview.8.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input ng-model="preview.raytraceReflectionSamples" type="number" class="form-control input-md" step="1" required min="0" max="100" style="width:200px;"> </div> <small><?php _('Reflection calculations are computationally intensive, the value should be kept as small as possible.') ?></small> </div> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Ground Reflectivity') ?> <a ng-click="fullsizeDialog('preview.9.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input type="number" class="form-control" step="1" ng-model="preview.bedReflection" required min="0" max="100"> <div class="input-group-addon">%</div> </div> <small><?php _('A black ground with a reflection of 100 &#37; becomes a mirror.') ?></small> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Reduced Filament Quality') ?> <a ng-click="fullsizeDialog('preview.10.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="checkbox"> <boolswitch class="small" on="<?php _('On') ?>" off="<?php _('Off') ?>" ng-model="preview.reducedFilamentQuality"></boolswitch> </div> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Ground Color') ?></label> <div class="col-md-4"> <div class="input-group maxw200"> <input class="form-control" type="text" placeholder="" ng-model="preview.bedColor1" colorpicker required> <div class="input-group-addon" style="background-color:{{preview.bedColor1}};border-color:{{preview.bedColor1}}"> &nbsp;&nbsp;</div> </div> </div> <label class="col-md-4 control-label" style="text-align: left"><a ng-click="preview.bedColor1='#808080';"><?php _('Set default color') ?></a></label> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Ground Lines Color') ?></label> <div class="col-md-4"> <div class="input-group maxw200"> <input class="form-control" type="text" placeholder="" ng-model="preview.bedColor2" colorpicker required> <div class="input-group-addon" style="background-color:{{preview.bedColor2}};border-color:{{preview.bedColor2}}"> &nbsp;&nbsp;</div> </div> </div> <label class="col-md-4 control-label" style="text-align: left"><a ng-click="preview.bedColor2='#ffffff';"><?php _('Set default color') ?></a></label> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Horizon Fog Color') ?></label> <div class="col-md-4"> <div class="input-group maxw200"> <input class="form-control" type="text" placeholder="" ng-model="preview.fogColorBottom" colorpicker required> <div class="input-group-addon" style="background-color:{{preview.fogColorBottom}};border-color:{{preview.fogColorBottom}}"> &nbsp;&nbsp;</div> </div> </div> <label class="col-md-4 control-label" style="text-align: left"><a ng-click="preview.fogColorBottom='#cccccc';"><?php _('Set default color') ?></a></label> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Sky Color') ?></label> <div class="col-md-4"> <div class="input-group maxw200"> <input class="form-control" type="text" placeholder="" ng-model="preview.fogColorTop" colorpicker required> <div class="input-group-addon" style="background-color:{{preview.fogColorTop}};border-color:{{preview.fogColorTop}}"> &nbsp;&nbsp;</div> </div> </div> <label class="col-md-4 control-label" style="text-align: left"><a ng-click="preview.fogColorTop='#3c6a9c';"><?php _('Set default color') ?></a></label> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Material Ambient Factor') ?> <a ng-click="fullsizeDialog('preview.11.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input type="number" class="form-control" step="1" ng-model="preview.materialAmbientFactor" required min="0" max="100"> <div class="input-group-addon">%</div> </div> <small><?php _('Percentage of the original color in the dark on the model.') ?></small> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Material Diffuse Factor') ?> <a ng-click="fullsizeDialog('preview.12.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input type="number" class="form-control" step="1" ng-model="preview.materialDiffuseFactor" required min="0" max="100"> <div class="input-group-addon">%</div> </div> <small><?php _('Percentage brightness of the reflected light depending of the angle of light on the model.') ?></small> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Material Specular Factor') ?> <a ng-click="fullsizeDialog('preview.13.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input type="number" class="form-control" step="1" ng-model="preview.materialSpecularFactor" required min="0" max="100"> <div class="input-group-addon">%</div> </div> <small><?php _('Percentage brightness of the highlights on the model.') ?></small> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Material Shininess') ?> <a ng-click="fullsizeDialog('preview.14.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input ng-model="preview.materialShininess" type="number" class="form-control input-md" step="1" required min="0" max="100" style="width:200px;"> </div> <small><?php _('Exponent for shininess calculation on the model, the larger the value, the smaller the highlight.') ?></small> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Ground Ambient Factor') ?> <a ng-click="fullsizeDialog('preview.15.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input type="number" class="form-control" step="1" ng-model="preview.bedAmbientFactor" required min="0" max="100"> <div class="input-group-addon">%</div> </div> <small><?php _('Percentage of the original color in the dark on the ground.') ?></small> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Ground Diffuse Factor') ?> <a ng-click="fullsizeDialog('preview.16.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input type="number" class="form-control" step="1" ng-model="preview.bedDiffuseFactor" required min="0" max="100"> <div class="input-group-addon">%</div> </div> <small><?php _('Percentage brightness of the reflected light depending of the angle of light on the ground.') ?></small> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Ground Shininess') ?> <a ng-click="fullsizeDialog('preview.17.dialog.php')"><i class="fa fa-search-plus"></i></a></label> <div class="col-md-8"> <div class="input-group maxw200"> <input ng-model="preview.bedShininess" type="number" class="form-control input-md" step="1" required min="0" max="100" style="width:200px;"> </div> <small><?php _('Exponent for shininess calculation on the ground, the larger the value, the smaller the highlight.') ?></small> </div> </div> <h2><?php _('Light Settings') ?></h2> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Light 1 Intensity') ?></label> <div class="col-md-4"> <div class="input-group maxw200"> <input type="number" class="form-control" step="1" ng-model="preview.light1Intensity" required min="0" max="100"> <div class="input-group-addon">%</div> </div> </div> <label class="col-md-4 control-label" style="text-align: left"><a ng-click="preview.light1Intensity=100.0;preview.light1X=0.5;preview.light1Y=-1;preview.light1Z=1.0;"><?php _('Set default values') ?></a></label> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Light 1 Direction X Y Z') ?></label> <div class="col-md-8"> <div class="input-group maxw200"> <input ng-model="preview.light1X" type="number" class="form-control input-md" step="0.1" required min="-100" max="100" style="width:67px;"> <input ng-model="preview.light1Y" type="number" class="form-control input-md" step="0.1" required min="-100" max="100" style="width:66px;"> <input ng-model="preview.light1Z" type="number" class="form-control input-md" step="0.1" required min="-100" max="100" style="width:67px;"> </div> <small><?php _('Direction to the light source 1.') ?></small> </div> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Light 2 Intensity') ?></label> <div class="col-md-4"> <div class="input-group maxw200"> <input type="number" class="form-control" step="1" ng-model="preview.light2Intensity" required min="0" max="100"> <div class="input-group-addon">%</div> </div> </div> <label class="col-md-4 control-label" style="text-align: left"><a ng-click="preview.light2Intensity=100.0;preview.light2X=-1.3;preview.light2Y=-0.5;preview.light2Z=1.0;"><?php _('Set default values') ?></a></label> </div> <div class="form-group"> <label class="col-md-4 control-label"><?php _('Light 2 Direction X Y Z') ?></label> <div class="col-md-8"> <div class="input-group maxw200"> <input ng-model="preview.light2X" type="number" class="form-control input-md" step="0.1" required min="-100" max="100" style="width:67px;"> <input ng-model="preview.light2Y" type="number" class="form-control input-md" step="0.1" required min="-100" max="100" style="width:66px;"> <input ng-model="preview.light2Z" type="number" class="form-control input-md" step="0.1" required min="-100" max="100" style="width:67px;"> </div> <small><?php _('Direction to the light source 2.') ?></small> </div> </div> </div>  <div class="clearfix" style="margin-bottom:20px"> <button class="btn btn-primary" ng-click="save()" ng-disabled="previewimages.$invalid"><?php _('Save') ?></button> <button class="btn btn-danger pull-right" ng-click="reset()" ng-disabled=""><?php _('Reset all to Defaults') ?></button> </div> </ng-form> 