<div class="tab-pane active units" id="general"> <div class="row"> <div class="col-lg-12"> <ng-form name="formGeneral"> <div class="panel panel-default margin-top"> <div class="panel-heading"><i class="fa fa-list-ul rs-fw"></i><?php _('General') ?></div> <div class="panel-body"> <div class="row"> <div class="col-sm-9 form-group"> <label for="confname"><?php _('Printer Name') ?></label> <input id="confname" class="form-control" type="text" placeholder="Displayed Printer Name" ng-model="editor.general.name" required> </div> <div class="col-sm-3 form-group"> <label><?php _('Printer Variant') ?></label> <select class="form-control" ng-model="editor.general.printerVariant"> <option value="delta"><?php _('Delta Printer') ?></option> <option value="cartesian"><?php _('Cartesian Printer') ?></option> </select> </div> <div class="col-sm-9 form-group"> <label for="confname"><?php _('Printer Model') ?></label> <input id="confname" class="form-control" type="text" placeholder="Vendor specific model name" ng-model="editor.general.model" popover-trigger="'focus'" uib-popover="<?php _('Depending on the model name special functions for this printer may appear.') ?>" data-original-title> </div> <div class="col-sm-12 form-group"> <label><?php _('Firmware') ?></label> <select class="form-control" ng-model="editor.general.firmwareName" ng-options="f for f in firmware.firmwareNames"> </select> </div> </div> <div class="form-group"> <div class="col-sm-12"> <div class="checkbox"> <label><input type="checkbox" ng-model="editor.general.logHistory"> <?php _('Log all Prints in a History Database') ?> </label> </div> </div> </div> <div class="form-group"> <div class="col-sm-12"> <div class="checkbox"> <label><input type="checkbox" ng-model="editor.general.useOwnModelRepository"> <?php _('Use own G-Code Model Directory') ?> </label> </div> </div> </div> <div class="form-group col-sm-12" ng-hide="editor.general.useOwnModelRepository"> <label class="control-label"><?php _('Use G-Code files from') ?></label> <select ng-model="editor.general.useModelFromSlug" class="form-control" ng-options="p.slug as p.name for p in printerList"></select> </div> <div class="form-group col-sm-12"> <label class="control-label"><?php _('Pause Handling') ?></label> <select ng-model="editor.general.pauseHandling" class="form-control" ng-options="p.id as p.t for p in pauseModes"></select> </div> <div class="col-xs-11 col-xs-offset-1 form-group" ng-show="editor.general.pauseHandling"> <label><?php _('Disable Heaters when Paused after') ?> </label> <div class="input-group"> <input class="form-control" type="number" placeholder="" ng-model="editor.general.pauseSeconds" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('To protect the extruder, you can disable the extruder when print is paused. They will be reheated before the print continues.') ?>" data-original-title required min="0"> <div class="input-group-addon"><?php _('seconds') ?></div> </div> </div> <div class="col-sm-12 col-md-6 form-group"> <label><?php _('Idle power off time') ?> </label> <div class="input-group"> <input class="form-control" type="number" placeholder="" ng-model="editor.connection.powerOffIdleMinutes" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Run the shutdown printer script after this number of minutes being idle. Set 0 to not run it.') ?>" data-original-title required min="0"> <div class="input-group-addon"><?php _('minutes') ?></div> </div> </div> <div class="col-sm-12 col-md-6 form-group"> <label><?php _('Idle max extruder temperature') ?> </label> <div class="input-group"> <input class="form-control" type="number" placeholder="" ng-model="editor.connection.powerOffMaxTemperature" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Maximum extruder temperature allowing to run the shutdown printer script.') ?>" data-original-title required> <div class="input-group-addon">°C</div> </div> </div> <div class="col-sm-12 form-group"> <label><?php _('Door handling') ?></label> <select class="form-control" ng-model="editor.general.doorHandling" ng-options="f.i as f.n for f in doorModes"> </select> </div> </div> </div> <div class="panel panel-default margin-top"> <div class="panel-heading"><i class="fa fa-power-off rs-fw"></i><?php _('Connection') ?></div> <div class="panel-body"> <div class="row"> <div class="col-sm-12 form-group"> <label><?php _('Connection Method') ?></label> <select class="form-control" ng-model="editor.connection.connectionMethod" ng-options="f.i as f.n for f in conMethods"> </select> </div> </div> <div class="row" ng-if="editor.connection.connectionMethod === 0"> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Device / Port') ?></label> <div class="input-group"> <input class="form-control" type="text" placeholder="" ng-model="editor.connection.serial.device" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('For windows systems, this is the port COMx. On unix this is the path to the serial device like /dev/tty.USB0') ?>" popover-trigger="'focus'"> <span class="input-group-btn"> <div class="btn-group" rs-dropdown dropdown-append-to-body is-open="menuPort"> <button type="button" class="btn btn-default" rs-dropdown-toggle> <?php _('Ports') ?> <span class="caret"></span> </button> <ul rs-dropdown-menu role="menu" style="max-height:200px;overflow:auto"> <li ng-repeat="p in config.ports track by $index"> <a href="javascript:void(0)" ng-click="editor.connection.serial.device=p;$parent.menuPort=false">{{p}}</a></li> </ul> </div> </span> </div> <div ng-if="portWarning" class="alert alert-warning margin-top"> <?php _('Printers using same port:') ?> <div ng-bind-html="portWarning"></div> </div> </div> <div class="col-lg-3 col-xs-6 form-group"> <label><?php _('Baud Rate') ?> <autoset name="baudrate" ng-model="editor.connection.serial.baudrate"> </autoset></label> <select class="form-control" ng-model="editor.connection.serial.baudrate" ng-options="b for b in baudrates"></select> </div> <div class="col-lg-2 col-xs-6 form-group"> <label><?php _('RTS') ?></label> <select class="form-control" ng-model="editor.connection.serial.rts" ng-options="f.i as f.n for f in resetOrder"> </select> </div> <div class="col-lg-2 col-xs-6 form-group"> <label><?php _('DTR') ?></label> <select class="form-control" ng-model="editor.connection.serial.dtr" ng-options="f.i as f.n for f in resetOrder"> </select> </div> <div class="col-lg-12 col-xs-12"> <small><?php _('RTS/DTR are serial pins that normally are used to reset the printer or are ignored. If a printer interprets them differently you can select a setting that works.') ?></small> </div> <div class="col-xs-12 form-group checkbox" ng-if="serverSettings.ServerOS===2"> <label><input type="checkbox" ng-model="editor.connection.serial.malyanHack"> <?php _('Use fix for Malyan boards') ?></label> </div> </div> <div class="form-group"> <div class="col-sm-12"> <div class="checkbox"> <label><input type="checkbox" ng-model="editor.connection.serial.visibleWithoutRunning"> <?php _('Port is visible even if firmware is not running') ?> </label> </div> </div> </div> <div class="row" ng-if="editor.connection.connectionMethod === 1"> <div class="col-lg-12 col-xs-12 form-group"> <label><?php _('File') ?></label> <input class="form-control" type="text" placeholder="<?php _('Path to pipe/socket') ?>" ng-model="editor.connection.pipe.file"> </div> </div> <div class="row" ng-if="editor.connection.connectionMethod === 2"> <div class="col-lg-6 col-xs-6 form-group"> <label><?php _('IP') ?></label> <input class="form-control" type="text" placeholder="<?php _('IP or domain name') ?>" ng-model="editor.connection.ip.address" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('IP or domain name. No HTTP or similar!') ?>"> </div> <div class="col-lg-6 col-xs-6 form-group"> <label><?php _('Port') ?></label> <input class="form-control" type="number" placeholder="<?php _('Port') ?>" ng-model="editor.connection.ip.port" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Smoothieware uses 23. Legal values are from 1-65535') ?>"> </div> <div class="col-lg-12 col-xs-12 form-group"> <label><?php _('Password') ?></label> <input class="form-control" type="text" placeholder="<?php _('Password') ?>" ng-model="editor.connection.password" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('RepRapFirmware allows setting a password for TCP/IP connections.') ?>"> </div> </div> <div class="row"> <div class="col-lg-4 col-xs-6 form-group" style="height:60px"> <label><?php _('Input Buffer Size') ?> <autoset name="InputBuffer" ng-model="editor.connection.serial.inputBufferSize"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" placeholder="" ng-model="editor.connection.serial.inputBufferSize" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Size of bytes the incoming queue of your printer can store. Typical values are 127 and 63 byte.') ?>" data-original-title popover-trigger="'focus'" required min="63"> <div class="input-group-addon"><?php _('byte') ?></div> </div> </div> <div class="col-lg-4 col-xs-6 form-group" style="height:60px"> <label><?php _('Continue print after fast reconnect') ?></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.connection.continueAfterFastReconnect"></boolswitch> </div> </div> <div class="col-lg-4 col-xs-12 form-group" style="height:60px" ng-if="serverSettings.ServerOS===2"> <label><?php _('USB Reconnect on Timeout') ?></label> <select class="form-control" ng-model="editor.connection.serial.usbreset" ng-options="m.id as m.t for m in usbReconnectModes"> </select> </div> <div class="col-lg-4 col-xs-6 form-group" style="height:60px"> <label><?php _('Ping-Pong Mode') ?></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.connection.serial.pingPong"></boolswitch> </div> </div> <div class="col-lg-4 col-xs-6 form-group" style="height:60px"> <label><?php _('Communication Timeout') ?> <autoset name="KeepAliveInterval" nfactor="0.001" ng-model="editor.connection.serial.communicationTimeout"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" placeholder="" ng-model="editor.connection.serial.communicationTimeout" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Time after which normal commands must be acknowledged.') ?>" data-original-title popover-trigger="'focus'" required min="1"> <div class="input-group-addon"><?php _('s') ?></div> </div> </div> <div class="col-lg-4 col-xs-12 form-group" style="height:60px"> <label><?php _('Show on Printer LCD Status Line') ?></label> <select class="form-control" ng-model="editor.connection.lcdTimeMode" ng-options="m.id as m.t for m in lcdModes"> </select> </div> <div class="col-xs-12"> <p><?php _('Once your connection data is correct, save configuration to connect printer. Then you can use the button below to autodetect quite some values. Autodetected values get a marker for you to recognice them.') ?></p> <i class="fa margin-left fa-dot-circle-o fg-success"></i> <?php _('Value matches firmware value ') ?> <br> <i class="fa margin-left fa-circle-o fg-danger"></i> <?php _('Value does not match firmware value') ?> <br> <div class="margin-top"> <button ng-click="RSPrinter.updateFirmwareSettings()" class="btn btn-primary" ng-disabled="!active.status.online || readingFirmware"> <i ng-show="RSPrinter.readingFirmware" class="fa fa-spinner fa-spin"></i> <?php _('Autodetect Values from Firmware') ?> <span ng-show="!active.status.online"> ... <?php _('Waiting for Connection') ?></span> </button> </div> </div> </div> </div> </div> <div class="panel panel-default margin-top"> <div class="panel-heading"><i class="fa fa-arrows rs-fw"></i><?php _('Manual Control') ?></div> <div class="panel-body"> <p><?php _('These settings define, how you control your printer. Values should coincide with real printer settings!') ?></p> <div class="row"> <div class="col-lg-4 col-xs-6"> <label><?php _('Fans Installed') ?> <autoset name="fansInstalled" ng-model="editor.general.numFans"> </autoset></label> <div> <input type="number" ng-model="editor.general.numFans" min="0" step="1" required> </div> </div> <div class="col-lg-4 col-xs-6"> <label><?php _('Software Power') ?> <autoset name="softwarePowerSwitch" ng-model="editor.general.softwarePower"> </autoset></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.general.softwarePower"></boolswitch> </div> </div> </div> <div class="row margin-top"> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('X-Min') ?> <autoset name="XMin" ng-model="editor.movement.xMin"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.xMin"> <div class="input-group-addon">mm</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Y-Min') ?> <autoset name="YMin" ng-model="editor.movement.yMin"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.yMin"> <div class="input-group-addon">mm</div> </div> </div> <div class="col-lg-4 visible-lg-block" style="height: 75px">&nbsp;</div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('X-Max') ?> <autoset name="XMax" ng-model="editor.movement.xMax"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.xMax" required> <div class="input-group-addon">mm</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Y-Max') ?> <autoset name="YMax" ng-model="editor.movement.yMax"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.yMax" required> <div class="input-group-addon">mm</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Z-Max') ?> <autoset name="ZMax" ng-model="editor.movement.zMax"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.zMax" required> <div class="input-group-addon">mm</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('X-Home Position') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.xHome" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="X coordinate after homing x axis." data-original-title popover-trigger="'focus'" required> <div class="input-group-addon">mm</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Y-Home Position') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.yHome" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="Y coordinate after homing y axis." data-original-title popover-trigger="'focus'" required> <div class="input-group-addon">mm</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Z-Home Position') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.movement.zHome" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="Z coordinate after homing z axis." data-original-title popover-trigger="'focus'" required> <div class="input-group-addon">mm</div> </div> </div> </div> <div class="row"> <div class="col-lg-3 col-xs-6 form-group"> <label><?php _('Show X Home') ?></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.xEndstop"></boolswitch> </div> </div> <div class="col-lg-3 col-xs-6 form-group"> <label><?php _('Show Y Home') ?></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.yEndstop"></boolswitch> </div> </div> <div class="col-lg-3 col-xs-6 form-group"> <label><?php _('Show Z Home') ?></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.zEndstop"></boolswitch> </div> </div> <div class="col-lg-3 col-xs-6 form-group"> <label><?php _('Show Home All') ?></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.allEndstops"></boolswitch> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('XY Speed') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.xySpeed" popover-placement="auto bottom" uib-popover="<?php _('Speed for manual moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required> <div class="input-group-addon">mm/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Z Speed') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.zSpeed" popover-placement="auto bottom" uib-popover="<?php _('Speed for manual moves in z-direction.') ?>" data-original-title popover-trigger="'focus'" required> <div class="input-group-addon">mm/s</div> </div> </div> </div> <div class="row"> <div class="col-xs-4 form-group"> <label><?php _('Invert X') ?></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.invertX"></boolswitch> </div> </div> <div class="col-xs-4 form-group"> <label><?php _('Invert Y') ?></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.invertY"></boolswitch> </div> </div> <div class="col-xs-4 form-group"> <label><?php _('Invert Z') ?></label> <div> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.movement.invertZ"></boolswitch> </div> </div> </div> </div> </div> <div class="panel panel-default margin-top"> <div class="panel-heading"><i class="fa fa-clock-o rs-fw"></i><?php _('Printing Time Calculation') ?></div> <div class="panel-body"> <p><?php _('These settings have big influence on the printing time calculation. The better they match, the more pricse the time prediction becomes.') ?></p> <div class="row"> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Max. XY Speed') ?> <autoset name="maxXYSpeed" ng-model="editor.movement.maxXYSpeed"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.maxXYSpeed" popover-placement="auto bottom" uib-popover="<?php _('Maximum speed for moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required min="0.01"> <div class="input-group-addon">mm/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('XY Jerk') ?> <autoset name="xyJerk" ng-model="editor.movement.xyJerk"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="0" placeholder="" ng-model="editor.movement.xyJerk" popover-placement="auto bottom" uib-popover="<?php _('Max. allowed jerk for moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required min="0"> <div class="input-group-addon">mm/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Max. Z Speed') ?> <autoset name="maxZSpeed" ng-model="editor.movement.maxZSpeed"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.maxZSpeed" popover-placement="auto bottom" uib-popover="<?php _('Maximum speed for moves in z-direction.') ?>" data-original-title popover-trigger="'focus'" required min="0.01"> <div class="input-group-addon">mm/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Z Jerk') ?> <autoset name="zJerk" ng-model="editor.movement.zJerk"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="0" placeholder="" ng-model="editor.movement.zJerk" popover-placement="auto bottom" uib-popover="<?php _('Max. allowed jerk for moves in z-direction.') ?>" data-original-title popover-trigger="'focus'" required min="0"> <div class="input-group-addon">mm/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Print Acceleration') ?> </label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.defaultAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during print moves.') ?>" data-original-title popover-trigger="'focus'" required min="1"> <div class="input-group-addon">mm/s²</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Travel Acceleration') ?> </label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.defaultTravelAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during travel moves.') ?>" data-original-title popover-trigger="'focus'" required min="1"> <div class="input-group-addon">mm/s²</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Extrude Acceleration') ?> </label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.defaultRetractAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during pure extrusions.') ?>" data-original-title popover-trigger="'focus'" required min="1"> <div class="input-group-addon">mm/s²</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Max. XY Print Acceleration') ?> <autoset name="xyPrintAcceleration" ng-model="editor.movement.xyPrintAcceleration"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.xyPrintAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during print moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required min="1"> <div class="input-group-addon">mm/s²</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Max. Z Print Acceleration') ?> <autoset name="zPrintAcceleration" ng-model="editor.movement.zPrintAcceleration"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.zPrintAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during print moves in z direction.') ?>" data-original-title popover-trigger="'focus'" required min="1"> <div class="input-group-addon">mm/s²</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Max. XY Travel Acceleration') ?> <autoset name="xyTravelAcceleration" ng-model="editor.movement.xyTravelAcceleration"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.xyTravelAcceleration" popover-placement="auto bottom" uib-popover="<?php _('Acceleration during travel moves in x-y-plane.') ?>" data-original-title popover-trigger="'focus'" required min="1"> <div class="input-group-addon">mm/s²</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Max. Z Travel Acceleration') ?> <autoset name="zTravelAcceleration" ng-model="editor.movement.zTravelAcceleration"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.zTravelAcceleration" popover-placement="auto bottom" popover-trigger="'focus'" uib-popover="<?php _('Acceleration during travel moves in z direction.') ?>" data-original-title required min="1"> <div class="input-group-addon">mm/s²</div> </div> </div> <div class="col-lg-4 visible-lg-block" style="height: 75px">&nbsp;</div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Move Buffer Size') ?> <autoset name="PrintlineCache" ng-model="editor.movement.movebuffer"> </autoset></label> <input class="form-control" type="number" step="any" min="1" placeholder="" ng-model="editor.movement.movebuffer" popover-placement="auto bottom" uib-popover="Size of the path planner buffer in your firmware. 16 is a typical value. Used for printing time prediction." data-original-title popover-trigger="'focus'" min="2" required> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Printing Time Multiplier') ?></label> <input class="form-control" type="number" step="any" min="0.1" placeholder="" ng-model="editor.movement.timeMultiplier" popover-placement="auto bottom" uib-popover="Computed printing time gets multiplied by this value. If you configured relevant parameter correctly, the multiplier should be near 1." data-original-title popover-trigger="'focus'" required> </div> </div> <p><?php _('Accelerations have big influence on the printing time. Unfortunately different firmwares handle them differently. Some distinguish between travel and extruding moves, some set a wanted acceleration limited by maximum possible acceleration while others directly use the maximum acceleration. Marlin for example has no travel acceleration. In that case simply set it to the same value as print acceleration. It is ok to set acceleration to high values to just fall back to the maximum acceleration values defined later.') ?></p> </div> </div> </ng-form> </div> </div> </div> 